Add to discovery scan authorisations: Who authorised which networks to be scanned, with which protocols, for which period, and whether that authority is in…
curl --request POST \
--url https://app.assetinfinity.ai/api/discovery_scan_authorisations \
--header 'Content-Type: application/json' \
--data '
{
"basis": "<string>",
"created_at": "<string>",
"granted_at": "<string>",
"granted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"in_force": true,
"name": "<string>",
"networks": [
"<string>"
],
"protocols": [
"<string>"
],
"revoked_at": "<string>",
"revoked_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revoked_reason": "<string>",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"valid_from": "<string>",
"valid_until": "<string>"
}
'import requests
url = "https://app.assetinfinity.ai/api/discovery_scan_authorisations"
payload = {
"basis": "<string>",
"created_at": "<string>",
"granted_at": "<string>",
"granted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"in_force": True,
"name": "<string>",
"networks": ["<string>"],
"protocols": ["<string>"],
"revoked_at": "<string>",
"revoked_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revoked_reason": "<string>",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"valid_from": "<string>",
"valid_until": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
basis: '<string>',
created_at: '<string>',
granted_at: '<string>',
granted_by: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
in_force: true,
name: '<string>',
networks: ['<string>'],
protocols: ['<string>'],
revoked_at: '<string>',
revoked_by: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
revoked_reason: '<string>',
site_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
status: '<string>',
valid_from: '<string>',
valid_until: '<string>'
})
};
fetch('https://app.assetinfinity.ai/api/discovery_scan_authorisations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
IT assets
Add to discovery scan authorisations: Who authorised which networks to be scanned, with which protocols, for which period, and whether that authority is in…
Who authorised which networks to be scanned, with which protocols, for which period, and whether that authority is in force now.
POST
/
discovery_scan_authorisations
Add to discovery scan authorisations: Who authorised which networks to be scanned, with which protocols, for which period, and whether that authority is in…
Headers
Preference
Available options:
return=representation, return=minimal, return=none, resolution=ignore-duplicates, resolution=merge-duplicates Query Parameters
Filtering Columns
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
discovery_scan_authorisations
Who authorised which networks to be scanned, with which protocols, for which period, and whether that authority is in force now.
Note:
This is a Foreign Key to capex_invite_candidates.id.
Note: This is a Primary Key.
Maximum string length:
150Note:
This is a Foreign Key to capex_invite_candidates.id.
Maximum string length:
200Note:
This is a Foreign Key to entry_currencies.for_site_id.
Maximum string length:
20Response
201
Created
⌘I

